<?xml version="1.0" encoding="UTF-8"?>
<!-- Created with Jaspersoft Studio version 6.5.1.final using JasperReports Library version 6.5.1  -->
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="bast_stnk" pageWidth="612" pageHeight="396" orientation="Landscape" whenNoDataType="AllSectionsNoDetail" columnWidth="572" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20" uuid="76abfd3b-5876-4703-ac90-260a223dd5d7">
	<property name="com.jaspersoft.studio.data.sql.tables" value=""/>
	<property name="com.jaspersoft.studio.data.defaultdataadapter" value="mpm"/>
	<property name="com.jaspersoft.studio.unit." value="inch"/>
	<property name="com.jaspersoft.studio.unit.pageHeight" value="inch"/>
	<property name="com.jaspersoft.studio.unit.pageWidth" value="inch"/>
	<property name="com.jaspersoft.studio.unit.topMargin" value="inch"/>
	<property name="com.jaspersoft.studio.unit.bottomMargin" value="inch"/>
	<property name="com.jaspersoft.studio.unit.leftMargin" value="inch"/>
	<property name="com.jaspersoft.studio.unit.rightMargin" value="inch"/>
	<property name="com.jaspersoft.studio.unit.columnWidth" value="inch"/>
	<property name="com.jaspersoft.studio.unit.columnSpacing" value="inch"/>
	<parameter name="idframe" class="java.lang.String"/>
	<queryString language="SQL">
		<![CDATA[SELECT  CONCAT (prs.fname,' ' ,prs.lname) as nama_Bpkb, v.idframe, v.idmachine, p.description, vdr.policenumber,ud.bpkbnumber, CONCAT (prs.fname,' ' ,prs.lname) as nama_Stnk, pa.address1 as alamat,
CONCAT (posper.fname,' ' ,posper.lname) as Nama_user, CONCAT (ptper.fname,' ' ,ptper.lname) as nama_Afc, ud.name, ud.identitynumber, ud.cellphone,dealer.name, st.description, ud.bastnumber,CONCAT (psrn.fname,' ' ,psrn.lname) as nama_Customer,
st.description as tipe_beli, dt.description as document, dealer.name as dealer,ud.name as nama_pengambil
from vehicle_document_requirement_begbal vdr
join customer c on vdr.idbillto = c.idcustomer 
join person psrn on c.idparty = psrn.idparty
join sale_type  st on vdr.idsaletype = st.idsaletype
join person prs on vdr.idpersonowner = prs.idparty
join party_contact_mechanism pcm on prs.idparty = pcm.idparty
join postal_address pa on pcm.idcontact = pa.idcontact
join vehicle v on vdr.idvehicle = v.idvehicle
join product p on v.idproduct = p.idproduct
left join unit_deliverable_begbal ud  on ud.idreq = vdr.idreq and iddeltype in (101, 102, 104)
left join deliverable_type dt on ud.iddeltype = dt.iddeltype  
left join internal i on vdr.idinternal = i.idinternal
LEFT JOIN positions pos on i.idinternal = pos.idinternal and pos.idpostyp = 17
left join user_mediator um on pos.idusrmed = um.idusrmed
left join person posper on um.idperson = posper.idparty
LEFT JOIN positions pt on i.idinternal = pt.idinternal and pt.idpostyp = 16
left join user_mediator uml on pt.idusrmed = uml.idusrmed
left join person ptper on uml.idperson = ptper.idparty
left join organization dealer on (i.idparty = dealer.idparty)
left join positions po on dealer.idparty = po.idorganization and po.idpostyp in (16)
left join position_fullfillment pf on po.idposition = pf.idposition
left join person pic on pf.idperson = pic.idparty
where  pa.address1 is not null and v.idframe =  $P{idframe} and ud.dtreceipt is not null
order by bastnumber desc]]>
	</queryString>
	<field name="nama_Bpkb" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="nama_Bpkb"/>
	</field>
	<field name="idframe" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="idframe"/>
	</field>
	<field name="idmachine" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="idmachine"/>
	</field>
	<field name="description" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="description"/>
	</field>
	<field name="policenumber" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="policenumber"/>
	</field>
	<field name="bpkbnumber" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="bpkbnumber"/>
	</field>
	<field name="nama_Stnk" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="nama_Stnk"/>
	</field>
	<field name="alamat" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="alamat"/>
	</field>
	<field name="Nama_user" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="Nama_user"/>
	</field>
	<field name="nama_Afc" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="nama_Afc"/>
	</field>
	<field name="name" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="name"/>
	</field>
	<field name="identitynumber" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="identitynumber"/>
	</field>
	<field name="cellphone" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="cellphone"/>
	</field>
	<field name="COLUMN_14" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="name"/>
	</field>
	<field name="COLUMN_15" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="description"/>
	</field>
	<field name="bastnumber" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="bastnumber"/>
	</field>
	<field name="nama_Customer" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="nama_Customer"/>
	</field>
	<field name="tipe_beli" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="tipe_beli"/>
	</field>
	<field name="document" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="document"/>
	</field>
	<field name="dealer" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="dealer"/>
	</field>
	<field name="nama_pengambil" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="nama_pengambil"/>
	</field>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band height="97" splitType="Stretch">
			<staticText>
				<reportElement x="72" y="8" width="502" height="16" uuid="885306a9-d4d7-4944-8646-a55f4a03afd9"/>
				<textElement textAlignment="Center">
					<font size="11"/>
				</textElement>
				<text><![CDATA[BERITA  ACARA SERAH TERIMA ]]></text>
			</staticText>
			<textField pattern="MMMMM dd, yyyy">
				<reportElement x="463" y="1" width="100" height="12" uuid="659e07ba-0486-43f2-860e-cf9a8737a619"/>
				<textElement textAlignment="Right">
					<font size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[new java.util.Date()]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="10" y="40" width="240" height="14" uuid="b1608acc-1c3a-4008-bba2-0039f22c2d0c"/>
				<textElement>
					<font size="8"/>
				</textElement>
				<text><![CDATA[Dengan ini saya yang bertanda tangan dibawah ini :]]></text>
			</staticText>
			<staticText>
				<reportElement x="43" y="55" width="59" height="14" uuid="efec0ae4-8d02-4bc1-93ab-c2ec78961221"/>
				<textElement>
					<font size="8"/>
				</textElement>
				<text><![CDATA[Nama	    :]]></text>
			</staticText>
			<staticText>
				<reportElement x="311" y="55" width="84" height="14" uuid="529ae048-c807-4da0-8dd7-dbf7dcbe6036"/>
				<textElement>
					<font size="8"/>
				</textElement>
				<text><![CDATA[NIK	              :]]></text>
			</staticText>
			<staticText>
				<reportElement x="43" y="69" width="59" height="15" uuid="a26604be-b5e5-448c-b158-821a766ecc1e"/>
				<textElement verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<text><![CDATA[Nomor HP     :]]></text>
			</staticText>
			<staticText>
				<reportElement x="311" y="69" width="84" height="15" uuid="e0a156be-a697-4b6f-8545-7583c1ff7bc8"/>
				<textElement>
					<font size="8"/>
				</textElement>
				<text><![CDATA[Tipe Pembelian       :]]></text>
			</staticText>
			<textField>
				<reportElement x="102" y="69" width="148" height="15" uuid="df047758-a6e1-4512-8d8b-0e7a8e1afcf0"/>
				<textElement verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{cellphone}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="395" y="55" width="100" height="14" uuid="c383444d-ffca-41e8-8649-edf1fc115128"/>
				<textFieldExpression><![CDATA[$F{identitynumber}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="395" y="69" width="100" height="15" uuid="c273b22c-bb65-4995-b325-23a326a3d0ab"/>
				<textElement verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{tipe_beli}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="237" y="24" width="58" height="16" uuid="494ea755-4acf-4642-912d-50878eb2ba01"/>
				<textElement verticalAlignment="Middle"/>
				<text><![CDATA[No BAST  :]]></text>
			</staticText>
			<textField>
				<reportElement x="295" y="24" width="132" height="16" uuid="a71561ae-385a-4194-97fd-2ead2559af15"/>
				<textElement verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{bastnumber}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="1" y="0" width="88" height="24" uuid="880e57d4-fcfc-468d-8c82-5c6695fd1018"/>
				<textFieldExpression><![CDATA[$F{dealer}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="102" y="55" width="148" height="14" uuid="2d071476-990c-493d-9e65-d3359b6bec37"/>
				<textElement verticalAlignment="Top">
					<font size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{nama_pengambil}]]></textFieldExpression>
			</textField>
		</band>
	</title>
	<columnHeader>
		<band height="22">
			<staticText>
				<reportElement x="40" y="0" width="80" height="15" uuid="1581974b-3864-44a7-b163-52b0bda6bc5e"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<text><![CDATA[Dokumen]]></text>
			</staticText>
			<staticText>
				<reportElement x="120" y="0" width="70" height="15" uuid="0af00023-1365-4861-ae6f-3f44ad02e664"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<text><![CDATA[Nama STNK]]></text>
			</staticText>
			<staticText>
				<reportElement x="190" y="0" width="88" height="15" uuid="bc2359ed-596f-4ae8-843f-678e3b59e457"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<text><![CDATA[Nomor Rangka]]></text>
			</staticText>
			<staticText>
				<reportElement x="278" y="0" width="90" height="15" uuid="9cb4a9cf-d48c-47ba-9958-97862c5ca52b"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<text><![CDATA[Nomor Mesin]]></text>
			</staticText>
			<staticText>
				<reportElement x="368" y="0" width="84" height="15" uuid="361bf1c1-8c21-4b1d-9cb6-695ded945bbb"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<text><![CDATA[Deskripsi Tipe]]></text>
			</staticText>
			<staticText>
				<reportElement x="453" y="0" width="66" height="15" uuid="0e9e3f7f-d2cb-45ed-8717-c0145fa4b281"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<text><![CDATA[Nomor Polisi]]></text>
			</staticText>
			<line>
				<reportElement x="10" y="0" width="560" height="1" uuid="3120ca89-c58b-45f9-a23f-059bd7f21882"/>
			</line>
			<line>
				<reportElement x="10" y="16" width="560" height="1" uuid="c495e656-2312-4d22-b2e1-b62e41cbad16"/>
			</line>
		</band>
	</columnHeader>
	<detail>
		<band height="24" splitType="Stretch">
			<textField>
				<reportElement x="40" y="-2" width="80" height="18" uuid="c8af7661-0ed4-4e5f-9aec-3b9e285e9b63">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="ce88880d-71e9-4224-a7f5-820945cf4071"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{document}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="120" y="-2" width="70" height="18" uuid="dd6d4179-a1b2-4268-8f19-85e94d5e4bdf">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="065261c8-8ccb-47f4-840d-e5dcd6095a1a"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{nama_Stnk}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="190" y="0" width="88" height="16" uuid="b04b8f02-1e88-478a-8ed5-a422e4f2543a">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="b3848cf4-60a0-4c3c-bc93-e7cb2fcca209"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{idframe}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="278" y="-2" width="90" height="18" uuid="f306b6be-9cb7-4edf-b1b0-5771161cd44e">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="1ea5c091-b379-4234-82fd-a3365f0ddc05"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{idmachine}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="368" y="-2" width="84" height="18" uuid="38c299ab-9cf4-4832-ac37-2cb9d52216b9">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="d9fe74b3-cfe3-4aad-bfc7-7b20d7e4af69"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{description}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="453" y="-2" width="66" height="18" uuid="eb8e7f3c-45d5-47f4-81c2-0ea8746eaf12">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="95138fa9-2ef8-4a08-bcbe-22b435fbd9fe"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{policenumber}]]></textFieldExpression>
			</textField>
			<line>
				<reportElement x="10" y="19" width="560" height="1" uuid="4bc795a2-6b7e-44c5-b76a-0fe28290f236"/>
			</line>
		</band>
	</detail>
	<pageFooter>
		<band height="69" splitType="Stretch">
			<staticText>
				<reportElement x="44" y="1" width="100" height="17" uuid="f3a7e802-bb2f-40dc-9b39-b478c29c4067"/>
				<textElement textAlignment="Center">
					<font size="8"/>
				</textElement>
				<text><![CDATA[Yang Menerima]]></text>
			</staticText>
			<staticText>
				<reportElement x="223" y="1" width="100" height="17" uuid="411ef28f-af2f-4580-a3a8-22cfb7e5f7c0"/>
				<textElement textAlignment="Center">
					<font size="8"/>
				</textElement>
				<text><![CDATA[Yang Menyerahkan]]></text>
			</staticText>
			<staticText>
				<reportElement x="412" y="1" width="100" height="17" uuid="68a908a6-8c06-49e5-bab3-47a4794d5cf4"/>
				<textElement textAlignment="Center">
					<font size="8"/>
				</textElement>
				<text><![CDATA[Yang Mengetahui]]></text>
			</staticText>
			<staticText>
				<reportElement x="1" y="44" width="456" height="24" uuid="2f7fad00-5fed-42f2-9a69-c77daf0c646a"/>
				<textElement>
					<font size="6"/>
				</textElement>
				<text><![CDATA[Keterangan
1. Harus dilampiri fotocopy KTP penerima
2. Jika penerima bukan yang berhak sesuai dengan nama pemesanan (sesuai SPK / VSO), maka harus dilampiri surat kuasa
]]></text>
			</staticText>
			<textField>
				<reportElement x="223" y="30" width="100" height="14" uuid="a16e2de1-42c1-466d-8484-c98a2326d1b2"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{Nama_user}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="412" y="30" width="100" height="14" uuid="9b3b893b-1cc3-4533-b74d-274445abf90c"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{nama_Afc}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="44" y="27" width="100" height="16" uuid="5a5a695f-bb5b-403e-add1-810acddd05ad"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{nama_pengambil}]]></textFieldExpression>
			</textField>
		</band>
	</pageFooter>
</jasperReport>
